/* PreferenceController */

#import <Cocoa/Cocoa.h>
#import <WebKit/WebPreferences.h>
#import <WebKit/WebKit.h>
#import "MyDocument.h"

@interface PreferenceController : NSObject
{
    IBOutlet id allowAnimatedImages;
    IBOutlet id autoloadImages;
    IBOutlet id defaultHomepage;
    IBOutlet id javaScriptEnabled;
    IBOutlet id userSSEnabled;
    IBOutlet id FontColour;
    IBOutlet id BackgroundColour;
	IBOutlet id auxWindow;
	
	WebPreferences *p;
	MyDocument *md;
		
}
- (IBAction)apply:(id)sender;
- (IBAction)openPreferences:(id)sender;
- (NSString *)getStyleSheet:(NSString *)fontColor background:(NSString *)backgroundColor;


@end
