//
//  MyDocument.m
//  bovine
//
//  Created by Chris Duane on 6/09/07.
//  Copyright __ABWA__ 2007 . All rights reserved.
//

#import "MyDocument.h"

static NSString *defaultHP =@"http://www.abwa.asn.au";

@implementation MyDocument

- (id)init
{
	self = [super init];
	if (self) 
	{   
		
	}
	return self;
}


- (NSString *)windowNibName
{   
	return @"MyDocument";
}

- (void)windowControllerDidLoadNib:(NSWindowController *) aController
{
	[super windowControllerDidLoadNib:aController];
	[webView setUIDelegate:self]; 
	[webView setGroupName:@"MyDocument"];
	[urlString setStringValue:defaultHP];
	[[webView mainFrame] loadRequest:[NSURLRequest requestWithURL:[NSURL URLWithString:defaultHP]]];
	[webView setFrameLoadDelegate:self];    
	//[webView setPreferencesIdentifier:@"Bovine"];
}

- (NSData *)dataRepresentationOfType:(NSString *)aType
{   
	return nil;
}

- (BOOL)loadDataRepresentation:(NSData *)data ofType:(NSString *)aType
{
	return YES;
}

- (IBAction) connectURL: (id) sender;
{
	[urlString setStringValue:[sender stringValue]];
	[[webView mainFrame] loadRequest:[NSURLRequest requestWithURL:[NSURL URLWithString:[sender stringValue]]]];
}

- (id)webView
{	
	return webView;
}


- (WebView *)webView:(WebView *)sender createWebViewWithRequest:(NSURLRequest *)request
{
	id myDocument = [[NSDocumentController sharedDocumentController] openUntitledDocumentOfType:@"DocumentType" display:YES];
	[[[myDocument webView] mainFrame] loadRequest:request];    
	return [myDocument webView];
}

- (void)webViewShow:(WebView *)sender
{
	id myDocument = [[NSDocumentController sharedDocumentController] documentForWindow:[sender window]];
	[myDocument showWindows];
}

-(void)setDefaultHomepage:(NSString*)homepage
{
	defaultHP = homepage;
}

-(NSString *)getDefaultHomepage
{
	return defaultHP;
}

- (void)webView:(WebView *)sender didStartProvisionalLoadForFrame:(WebFrame *)frame
{	
	if (frame == [sender mainFrame])
	{
		NSString *url = [[[[frame provisionalDataSource] request] URL] absoluteString];        
		[urlString setStringValue:url];
	}
}



- (void)webView:(WebView *)sender didReceiveTitle:(NSString *)title forFrame:(WebFrame *)frame

{
	if (frame == [sender mainFrame])
	{		
		[[sender window] setTitle:title];		
	}	
}

- (IBAction) HomeButton: (id) sender
{	
	[urlString setStringValue:defaultHP];
	[[webView mainFrame] loadRequest:[NSURLRequest requestWithURL:[NSURL URLWithString:defaultHP]]];
}

@end
